Package com.evopdf

# Class PdfPageSize

java.lang.Object
com.evopdf.PdfPageSize

public class PdfPageSize extends Object
This class represents a PDF page size

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PdfPageSize`
  `A0`
  Represents the A0 size of a PDF page
  `static final PdfPageSize`
  `A1`
  Represents the A1 size of a PDF page
  `static final PdfPageSize`
  `A10`
  Represents the A10 size of a PDF page
  `static final PdfPageSize`
  `A2`
  Represents the A2 size of a PDF page
  `static final PdfPageSize`
  `A3`
  Represents the A3 size of a PDF page
  `static final PdfPageSize`
  `A4`
  Represents the A4 size of a PDF page
  `static final PdfPageSize`
  `A5`
  Represents the A5 size of a PDF page
  `static final PdfPageSize`
  `A6`
  Represents the A6 size of a PDF page
  `static final PdfPageSize`
  `A7`
  Represents the A7 size of a PDF page
  `static final PdfPageSize`
  `A8`
  Represents the A8 size of a PDF page
  `static final PdfPageSize`
  `A9`
  Represents the A9 size of a PDF page
  `static final PdfPageSize`
  `ArchA`
  Represents the ArchA size of a PDF page
  `static final PdfPageSize`
  `ArchB`
  Represents the ArchB size of a PDF page
  `static final PdfPageSize`
  `ArchC`
  Represents the ArchC size of a PDF page
  `static final PdfPageSize`
  `ArchD`
  Represents the ArchD size of a PDF page
  `static final PdfPageSize`
  `ArchE`
  Represents the ArchE size of a PDF page
  `static final PdfPageSize`
  `B0`
  Represents the B0 size of a PDF page
  `static final PdfPageSize`
  `B1`
  Represents the B1 size of a PDF page
  `static final PdfPageSize`
  `B2`
  Represents the B2 size of a PDF page
  `static final PdfPageSize`
  `B3`
  Represents the B3 size of a PDF page
  `static final PdfPageSize`
  `B4`
  Represents the B4 size of a PDF page
  `static final PdfPageSize`
  `B5`
  Represents the B5 size of a PDF page
  `static final PdfPageSize`
  `Flsa`
  Represents the Flsa size of a PDF page
  `static final PdfPageSize`
  `HalfLetter`
  Represents the HalfLetter size of a PDF page
  `static final PdfPageSize`
  `Ledger`
  Represents the Ledger size of a PDF page
  `static final PdfPageSize`
  `Legal`
  Represents the Legal size of a PDF page
  `static final PdfPageSize`
  `Letter`
  Represents the Letter size of a PDF page
  `static final PdfPageSize`
  `Letter11x17`
  Represents the 11x17 size of a PDF page
  `static final PdfPageSize`
  `Note`
  Represents the Note size of a PDF page

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfPageSize()`
  Default constructor constructs a A4 page size
  `PdfPageSize(float width, float height)`
  Constructs a custom page size

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `height()`
  Gets the page height
  `void`
  `setHeight(float pageHeight)`
  Sets the page height
  `void`
  `setWidth(float pageWidth)`
  Sets the page width
  `float`
  `width()`
  Gets the page width

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Letter

    public static final PdfPageSize Letter
    Represents the Letter size of a PDF page

  - ### Note

    public static final PdfPageSize Note
    Represents the Note size of a PDF page

  - ### Legal

    public static final PdfPageSize Legal
    Represents the Legal size of a PDF page

  - ### A0

    public static final PdfPageSize A0
    Represents the A0 size of a PDF page

  - ### A1

    public static final PdfPageSize A1
    Represents the A1 size of a PDF page

  - ### A2

    public static final PdfPageSize A2
    Represents the A2 size of a PDF page

  - ### A3

    public static final PdfPageSize A3
    Represents the A3 size of a PDF page

  - ### A4

    public static final PdfPageSize A4
    Represents the A4 size of a PDF page

  - ### A5

    public static final PdfPageSize A5
    Represents the A5 size of a PDF page

  - ### A6

    public static final PdfPageSize A6
    Represents the A6 size of a PDF page

  - ### A7

    public static final PdfPageSize A7
    Represents the A7 size of a PDF page

  - ### A8

    public static final PdfPageSize A8
    Represents the A8 size of a PDF page

  - ### A9

    public static final PdfPageSize A9
    Represents the A9 size of a PDF page

  - ### A10

    public static final PdfPageSize A10
    Represents the A10 size of a PDF page

  - ### B0

    public static final PdfPageSize B0
    Represents the B0 size of a PDF page

  - ### B1

    public static final PdfPageSize B1
    Represents the B1 size of a PDF page

  - ### B2

    public static final PdfPageSize B2
    Represents the B2 size of a PDF page

  - ### B3

    public static final PdfPageSize B3
    Represents the B3 size of a PDF page

  - ### B4

    public static final PdfPageSize B4
    Represents the B4 size of a PDF page

  - ### B5

    public static final PdfPageSize B5
    Represents the B5 size of a PDF page

  - ### ArchE

    public static final PdfPageSize ArchE
    Represents the ArchE size of a PDF page

  - ### ArchD

    public static final PdfPageSize ArchD
    Represents the ArchD size of a PDF page

  - ### ArchC

    public static final PdfPageSize ArchC
    Represents the ArchC size of a PDF page

  - ### ArchB

    public static final PdfPageSize ArchB
    Represents the ArchB size of a PDF page

  - ### ArchA

    public static final PdfPageSize ArchA
    Represents the ArchA size of a PDF page

  - ### Flsa

    public static final PdfPageSize Flsa
    Represents the Flsa size of a PDF page

  - ### HalfLetter

    public static final PdfPageSize HalfLetter
    Represents the HalfLetter size of a PDF page

  - ### Letter11x17

    public static final PdfPageSize Letter11x17
    Represents the 11x17 size of a PDF page

  - ### Ledger

    public static final PdfPageSize Ledger
    Represents the Ledger size of a PDF page

- ## Constructor Details

  - ### PdfPageSize

    public PdfPageSize()
    Default constructor constructs a A4 page size

  - ### PdfPageSize

    public PdfPageSize(float width, float height)
    Constructs a custom page size
    Parameters:
      `width` - the page width in points
      `height` - the page height in points

- ## Method Details

  - ### width

    public float width()
    Gets the page width
    Returns:
      the PDF page width

  - ### setWidth

    public void setWidth(float pageWidth)
    Sets the page width
    Parameters:
      `pageWidth` - the PDF page width

  - ### height

    public float height()
    Gets the page height
    Returns:
      the PDF page height

  - ### setHeight

    public void setHeight(float pageHeight)
    Sets the page height
    Parameters:
      `pageHeight` - the PDF page height